/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.valueobject;

import java.util.List;

/**
 * OASIS XLIFF の alt-trans をあらわすバリューオブジェクト。
 */
public class BlancoXliffAltTrans {
    /**
     * フィールド [lang]
     *
     * 項目の型 [java.lang.String]<br>
     * ターゲット言語。
     */
    private String fLang;

    /**
     * フィールド [tool-id]
     *
     * 項目の型 [java.lang.String]<br>
     * pleiades, eclipseなど。
     */
    private String fToolId;

    /**
     * フィールド [source]
     *
     * 項目の型 [java.lang.String]<br>
     */
    private String fSource;

    /**
     * フィールド [target]
     *
     * 項目の型 [blanco.xliff.valueobject.BlancoXliffTarget]<br>
     * ターゲット。リストにあらず。
     */
    private BlancoXliffTarget fTarget;

    /**
     * フィールド [noteList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * noteのリスト。
     */
    private List fNoteList = new java.util.ArrayList();

    /**
     * フィールド [lang]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ターゲット言語。
     *
     * @param argLang フィールド[lang]に格納したい値
     */
    public void setLang(final String argLang) {
        fLang = argLang;
    }

    /**
     * フィールド[lang]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ターゲット言語。
     *
     * @return フィールド[lang]に格納されている値
     */
    public String getLang() {
        return fLang;
    }

    /**
     * フィールド [tool-id]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * pleiades, eclipseなど。
     *
     * @param argToolId フィールド[tool-id]に格納したい値
     */
    public void setToolId(final String argToolId) {
        fToolId = argToolId;
    }

    /**
     * フィールド[tool-id]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * pleiades, eclipseなど。
     *
     * @return フィールド[tool-id]に格納されている値
     */
    public String getToolId() {
        return fToolId;
    }

    /**
     * フィールド [source]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argSource フィールド[source]に格納したい値
     */
    public void setSource(final String argSource) {
        fSource = argSource;
    }

    /**
     * フィールド[source]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @return フィールド[source]に格納されている値
     */
    public String getSource() {
        return fSource;
    }

    /**
     * フィールド [target]のセッターメソッド
     *
     * 項目の型 [blanco.xliff.valueobject.BlancoXliffTarget]<br>
     * ターゲット。リストにあらず。
     *
     * @param argTarget フィールド[target]に格納したい値
     */
    public void setTarget(final BlancoXliffTarget argTarget) {
        fTarget = argTarget;
    }

    /**
     * フィールド[target]のゲッターメソッド
     *
     * 項目の型 [blanco.xliff.valueobject.BlancoXliffTarget]<br>
     * ターゲット。リストにあらず。
     *
     * @return フィールド[target]に格納されている値
     */
    public BlancoXliffTarget getTarget() {
        return fTarget;
    }

    /**
     * フィールド [noteList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * noteのリスト。
     *
     * @param argNoteList フィールド[noteList]に格納したい値
     */
    public void setNoteList(final List argNoteList) {
        fNoteList = argNoteList;
    }

    /**
     * フィールド[noteList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * noteのリスト。
     *
     * @return フィールド[noteList]に格納されている値
     */
    public List getNoteList() {
        return fNoteList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.valueobject.BlancoXliffAltTrans[");
        buf.append("lang=" + fLang);
        buf.append(",tool-id=" + fToolId);
        buf.append(",source=" + fSource);
        buf.append(",target=" + fTarget);
        buf.append(",noteList=" + fNoteList);
        buf.append("]");
        return buf.toString();
    }
}
